--- old/usr/src/cmd/sgs/include/conv.h	2016-11-20 17:27:22.878232902 +0000
+++ new/usr/src/cmd/sgs/include/conv.h	2016-11-20 17:27:22.886952157 +0000
@@ -25,6 +25,7 @@
  *
  * Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2012 DEY Storage Systems, Inc.  All rights reserved.
+ * Copyright 2016 RackTop Systems.
  */
 
 #ifndef	_CONV_H
@@ -41,7 +42,9 @@
 #include <sgs.h>
 #include <sgsmsg.h>
 
+#ifndef	NATIVE_BUILD
 #include <sys/secflags.h>
+#endif
 
 #ifdef	__cplusplus
 extern "C" {
@@ -327,12 +330,14 @@
 	char				buf[CONV_CNOTE_PROC_FLAG_BUFSIZE];
 } Conv_cnote_proc_flag_buf_t;
 
+#ifndef	NATIVE_BUILD
 /* conv_prsecflags() */
 #define	CONV_PRSECFLAGS_BUFSIZE		57
 typedef union {
 	Conv_inv_buf_t			inv_buf;
 	char				buf[CONV_PRSECFLAGS_BUFSIZE];
 } Conv_secflags_buf_t;
+#endif
 
 /* conv_cnote_sigset() */
 #define	CONV_CNOTE_SIGSET_BUFSIZE	639
@@ -830,8 +835,10 @@
 			    Conv_inv_buf_t *);
 extern	const char	*conv_cnote_priv(int, Conv_fmt_flags_t,
 			    Conv_inv_buf_t *);
+#ifndef	NATIVE_BUILD
 extern	const char	*conv_prsecflags(secflagset_t, Conv_fmt_flags_t,
 			    Conv_secflags_buf_t *);
+#endif
 extern	const char	*conv_cnote_psetid(int, Conv_fmt_flags_t,
 			    Conv_inv_buf_t *);
 extern	const char	*conv_cnote_sa_flags(int, Conv_fmt_flags_t,
